<?php

namespace App\Models;

class PropertyWebComponent extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_web_component';
    protected $appends = ['parameterArray','iconUrl'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];
    protected $hidden = [];

    function getParameterArrayAttribute()
    {
        $attribute = [];
        if (!empty($this->parameter)) {
            $attribute = json_decode($this->parameter, 1);
        }
        return $attribute;
    }

    public function getIconUrlAttribute()
    {
        return config('app.url') . '/img/component-icons/' . $this->icon;

    }
}
